# ------
# File:        lllxcfg-backend-common.sh
# Description: Common vars for llxcfg-backend and frontend
#              unix-domain sockets
# Author:      Luis Garcia Gisbert <garcia_luigis@gva.es>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston MA 02110-1301 USA
# --------


LBACK_INCLUDE_DIR="/usr/share/lliurex/llxcfg-backend/common.d"
LBACK_CMD_DIR="/usr/share/lliurex/llxcfg-backend/CMD.d"
#
LBACK_SOCKET="/var/run/llxcfg/llxcfg-backend.sock"
LBACK_CLIENT="/usr/share/lliurex/llxcfg-backend/llxcfg-backend-client"
LBACK_SERVER="/usr/share/lliurex/llxcfg-backend/llxcfg-backend-server"
LBACK_LOCAL_ERROR=128
LBACK_INVALID_COMMAND=129

# include files in subdirectory "common.d"
# WARNING: Do not source this file if you are not using bash
#          (we are using bash arrays and other bashisms)

eval LBACK_INCLUDE_LIST=($(find "${LBACK_INCLUDE_DIR}" -maxdepth 1 -mindepth 1 -xtype f -exec echo \"{}\" \;))
i=0
while [ $i -lt ${#LBACK_INCLUDE_LIST[@]} ] ; do
   source "${LBACK_INCLUDE_LIST[$i]}"
   i=$(($i + 1 ))
done


